package net.chipkillmar.poker;

import java.util.Comparator;

/**
 * A comparator for comparing playing cards.
 *
 * @author Chip Killmar
 */
public class CardComparator implements Comparator<Card> {
    @Override
    public int compare(Card card1, Card card2) {
        Value value1 = card1.getValue();
        Value value2 = card2.getValue();
        if (value1.ordinal() > value2.ordinal()) {
            return 1;
        } else if (value1.ordinal() < value2.ordinal()) {
            return -1;
        } else {
            return 0;
        }
    }
}